
Infrastructure - Task #4701

Story # 2804 (Closed): CLI, new features, bugfixes

Fix set command whitespace handling

2014-04-08 20:35 - Chris Jones

Status: Closed Start date: 2014-04-08

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_client_cli Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version: *   

Description

When using the dataone.cli 'set' command, it throws an error when whitespace is encountered in a value, for instance:

set rights-holder CN=Christopher Jones A2108,O=Google,C=US,DC=cilogon,DC=org

ERROR    Command takes no required parameters and 2 optional parameters

or

set rights-holder "CN=Christopher Jones A2108,O=Google,C=US,DC=cilogon,DC=org"

ERROR    Command takes no required parameters and 2 optional parameters

 

Fix the whitespace handling in cli._split_args() such that it recognizes quoted strings.  This will likely also need to be supported when

being read back or written to the settings file.

History

#1 - 2014-04-08 21:31 - Chris Jones

- Description updated

#2 - 2014-04-09 03:09 - Roger Dahl

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

#3 - 2014-09-24 18:29 - Dave Vieglais

- Target version deleted (2014.16-Block.2.4)

#4 - 2014-09-24 22:06 - Robert Waltz

- Target version set to CCI-1.5.0

#5 - 2014-10-02 19:51 - Robert Waltz

- Target version changed from CCI-1.5.0 to CCI-1.4.1

#6 - 2014-10-02 20:35 - Robert Waltz

- Target version deleted (CCI-1.4.1)
